Subject: Re: bug#38387: 27.0.50; [PATCH] vc-hg: use 'hg summary' to populate vc-dir headers

From: Dmitry Gutov <[email-masked]>
Date: Wed, 27 Nov 2019 14:30:13 +0200

Hi Andrii,

On 26.11.2019 17:16, Andrii Kolomoiets wrote:

> By invoking single 'summary' command we can get more info about
> repository state: parent revisions, current branch, tags, bookmarks,
> commit status, available updates and phase.

I guess the questions are:

- Is this output better than the previous one? Hopefully others will 
chime in, e.g. Daniel, who wrote some major improvements to vc-hg a few 
years ago.

- Is 'hg summary' stable enough? Maybe a few years from now Mercurial 
changes its output and this code stops working in all Emacs we'd have 
released in the meantime? This is why we try to use "porcelain" level 
commands (in Git terminology) when possible, not user-level.